<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mosty.common.core.business.mapper.SysLogininforMapper">

    <resultMap id="BaseResultMap" type="com.mosty.common.core.business.entity.SysLogininfor">
        <id property="infoId" column="info_id" jdbcType="BIGINT"/>
        <result property="userName" column="user_name" jdbcType="VARCHAR"/>
        <result property="ipaddr" column="ipaddr" jdbcType="VARCHAR"/>
        <result property="status" column="status" jdbcType="CHAR"/>
        <result property="msg" column="msg" jdbcType="VARCHAR"/>
        <result property="accessTime" column="access_time" jdbcType="TIMESTAMP"/>
        <result property="browser" column="browser" jdbcType="VARCHAR"/>
        <result property="os" column="os" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        info_id
        ,user_name,ipaddr,
        status,msg,access_time,browser,os
    </sql>
    <!--清空-->
    <update id="cleanOperLog">
        truncate table sys_oper_log
    </update>
    <!--删除-->
    <delete id="deleteOperLogByIds" parameterType="String">
        delete from sys_logininfor where oper_id in
        <foreach collection="array" item="operId" open="(" separator="," close=")">
            #{operId}
        </foreach>
    </delete>
</mapper>
